import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatButtonModule } from '@angular/material/button';

import { UCapUiGroupModule } from '@ucap-webmessenger/ui-group';

import { AppTemplateRoutingPageModule } from './template-routing.page.module';

import { COMPONENTS, MET_MODULES } from './components';
import { UcapUiProfileModule } from '@ucap-webmessenger/ui-profile';

@NgModule({
  imports: [
    ...MET_MODULES,
    CommonModule,
    FlexLayoutModule,
    MatButtonModule,
    UCapUiGroupModule,
    UcapUiProfileModule,
    AppTemplateRoutingPageModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: []
})
export class AppTemplatePageModule {}
